import '/flutter_flow/flutter_flow_util.dart';
import 'sign_up_template_component_widget.dart'
    show SignUpTemplateComponentWidget;
import 'package:flutter/material.dart';

class SignUpTemplateComponentModel
    extends FlutterFlowModel<SignUpTemplateComponentWidget> {
  ///  State fields for stateful widgets in this component.

  // State field(s) for nameRegisterForm widget.
  FocusNode? nameRegisterFormFocusNode;
  TextEditingController? nameRegisterFormTextController;
  String? Function(BuildContext, String?)?
      nameRegisterFormTextControllerValidator;
  // State field(s) for emailRegisterForm widget.
  FocusNode? emailRegisterFormFocusNode;
  TextEditingController? emailRegisterFormTextController;
  String? Function(BuildContext, String?)?
      emailRegisterFormTextControllerValidator;
  // State field(s) for passwordRegisterForm widget.
  FocusNode? passwordRegisterFormFocusNode;
  TextEditingController? passwordRegisterFormTextController;
  late bool passwordRegisterFormVisibility;
  String? Function(BuildContext, String?)?
      passwordRegisterFormTextControllerValidator;
  // Stores action output result for [Action Block - signUpActionApp] action in SignUpButtonRegisterForm widget.
  bool? signUp;

  @override
  void initState(BuildContext context) {
    passwordRegisterFormVisibility = false;
  }

  @override
  void dispose() {
    nameRegisterFormFocusNode?.dispose();
    nameRegisterFormTextController?.dispose();

    emailRegisterFormFocusNode?.dispose();
    emailRegisterFormTextController?.dispose();

    passwordRegisterFormFocusNode?.dispose();
    passwordRegisterFormTextController?.dispose();
  }
}
