import '/flutter_flow/flutter_flow_util.dart';
import 'register_page_widget.dart' show RegisterPageWidget;
import 'package:flutter/material.dart';

class RegisterPageModel extends FlutterFlowModel<RegisterPageWidget> {
  ///  Local state fields for this page.

  String? email = 'danielsan@confia.com';

  String? passwd = '12345678';

  String? device = 'android';

  String? name = 'Daniel-San';

  ///  State fields for stateful widgets in this page.

  final unfocusNode = FocusNode();
  // State field(s) for nameRegisterForm widget.
  FocusNode? nameRegisterFormFocusNode;
  TextEditingController? nameRegisterFormTextController;
  String? Function(BuildContext, String?)?
      nameRegisterFormTextControllerValidator;
  // State field(s) for emailRegisterForm widget.
  FocusNode? emailRegisterFormFocusNode;
  TextEditingController? emailRegisterFormTextController;
  String? Function(BuildContext, String?)?
      emailRegisterFormTextControllerValidator;
  // State field(s) for passwordRegisterForm widget.
  FocusNode? passwordRegisterFormFocusNode;
  TextEditingController? passwordRegisterFormTextController;
  late bool passwordRegisterFormVisibility;
  String? Function(BuildContext, String?)?
      passwordRegisterFormTextControllerValidator;

  @override
  void initState(BuildContext context) {
    passwordRegisterFormVisibility = false;
  }

  @override
  void dispose() {
    unfocusNode.dispose();
    nameRegisterFormFocusNode?.dispose();
    nameRegisterFormTextController?.dispose();

    emailRegisterFormFocusNode?.dispose();
    emailRegisterFormTextController?.dispose();

    passwordRegisterFormFocusNode?.dispose();
    passwordRegisterFormTextController?.dispose();
  }
}
