import '/components/templates_components/sign_in_template_component/sign_in_template_component_widget.dart';
import '/components/templates_components/sign_up_template_component/sign_up_template_component_widget.dart';
import '/components/templates_components/welcome_template_component/welcome_template_component_widget.dart';
import '/flutter_flow/flutter_flow_util.dart';
import 'on_boarding_page_widget.dart' show OnBoardingPageWidget;
import 'package:flutter/material.dart';

class OnBoardingPageModel extends FlutterFlowModel<OnBoardingPageWidget> {
  ///  Local state fields for this page.

  String toggleIdx = 'welcome';

  ///  State fields for stateful widgets in this page.

  final unfocusNode = FocusNode();
  // Model for signInTemplateComponent component.
  late SignInTemplateComponentModel signInTemplateComponentModel;
  // Model for signUpTemplateComponent component.
  late SignUpTemplateComponentModel signUpTemplateComponentModel;
  // Model for welcomeTemplateComponent component.
  late WelcomeTemplateComponentModel welcomeTemplateComponentModel;

  @override
  void initState(BuildContext context) {
    signInTemplateComponentModel =
        createModel(context, () => SignInTemplateComponentModel());
    signUpTemplateComponentModel =
        createModel(context, () => SignUpTemplateComponentModel());
    welcomeTemplateComponentModel =
        createModel(context, () => WelcomeTemplateComponentModel());
  }

  @override
  void dispose() {
    unfocusNode.dispose();
    signInTemplateComponentModel.dispose();
    signUpTemplateComponentModel.dispose();
    welcomeTemplateComponentModel.dispose();
  }

  /// Action blocks.
  Future toggleOnBoardingActionPage(
    BuildContext context, {
    required String? toggleValue,
  }) async {
    toggleIdx = toggleValue!;
  }
}
